/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import javax.validation.constraints.NotBlank;

import com.altimetrik.playground.innovation.constants.IdeaStatusEnum;
import com.altimetrik.playground.innovation.constants.IdeaTypeEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaRequest extends BaseRequestBean {

	private IdeaTypeEnum ideaType;
	@NotBlank
	private String title;
	private String description;
	private String businessRelevance;
	private String ideaCategoryId;
	private Boolean competenceCenter;
	private IdeaStatusEnum status;
	private Boolean published;
	private Boolean locked;
	private String businessDomain;
	private String technologyDomain;
	private String techStack;
	private String novelty;
	private String claims;
	private String completeness;
	private Boolean disclosed;
	private String accessLevel;

	public PgIdeaRequest() {
		super();
	}

}
