/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.util.Date;

import com.altimetrik.playground.innovation.constants.RoleTypeEnum;
import com.altimetrik.playground.innovation.constants.TeamMemberRequestModeEnum;
import com.altimetrik.playground.innovation.constants.TeamMemberRequestStatusEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaTeamResponse extends BaseResponse {

	private static final long serialVersionUID = -8642234932548387988L;

	private String id;
	private RoleTypeEnum role;
	private TeamMemberRequestModeEnum mode;
	private TeamMemberRequestStatusEnum teamMemberRequestStatus;
	private String userId;
	private String createdBy;
	private Date createdDate;
	private String lastModifiedBy;

	public PgIdeaTeamResponse() {
		super();
	}
}
