/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.io.Serializable;

import com.altimetrik.playground.innovation.constants.ReviewLevelEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgReviewer implements Serializable {

	private static final long serialVersionUID = 7282130044652525032L;
	private String id;
	private String reviewerId;
	private String reviewerName;
	private ReviewLevelEnum reviewLevel;

	public PgReviewer(String reviewerId, String reviewerName, ReviewLevelEnum reviewLevel) {
		super();
		this.reviewerId = reviewerId;
		this.reviewerName = reviewerName;
		this.reviewLevel = reviewLevel;
	}

	public PgReviewer() {
		super();
	}

}
