/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.constants;

/**
 * Indicates different possible actions across the service.
 * 
 * @author skondapalli.
 */
public enum ActionTypeEnum {

	UPDATE_IDEA("UPDATE_IDEA"), UPDATE_IDEA_STATUS("UPDATE_IDEA_STATUS");

	private final String message;

	ActionTypeEnum(final String argMessage) {
		message = argMessage;
	}

	public final String getMessage() {
		return message;
	}

}
