/**
 * Copyright (C) Altimetrik 2018. All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 */
package com.altimetrik.playground.innovation.entity;

import java.util.List;

import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Tushar Das
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Document(collection = "pgCategory")
public class PgCategoryEntity extends BaseEntity {

	private static final long serialVersionUID = 5048839337019789654L;

	private String categoryName;

	private String status;

	private List<PgReviewersEntity> reviewers;
}
