/**
 * Copyright (C) Altimetrik 2018. All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 */
package com.altimetrik.playground.innovation.entity;

import org.springframework.data.mongodb.core.mapping.Document;

import com.altimetrik.playground.innovation.constants.ReviewLevelEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author Tushar Das
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Document(collection = "pgReviewers")
public class PgReviewersEntity extends BaseEntity {

	private static final long serialVersionUID = -2092044372635489798L;

	private String name;

	private String userId;

	private ReviewLevelEnum level;

	public PgReviewersEntity(String userId, ReviewLevelEnum level) {
		super();
		this.userId = userId;
		this.level = level;
	}

}
