/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.service;

import org.springframework.stereotype.Service;

import com.altimetrik.playground.innovation.bean.PgIdeaCategoryListResponse;
import com.altimetrik.playground.innovation.bean.PgIdeaCategoryRequest;
import com.altimetrik.playground.innovation.bean.PgIdeaCategoryResponse;
import com.altimetrik.playground.innovation.exception.InnovationServiceException;

@Service
public interface PgIdeaCategoryService {

	PgIdeaCategoryListResponse findAllCategories() throws InnovationServiceException;

	PgIdeaCategoryResponse createCategory(PgIdeaCategoryRequest req) throws InnovationServiceException;

	PgIdeaCategoryResponse findByCategoryId(String id) throws InnovationServiceException;
}
