/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaCategoryRequest extends BaseRequestBean {

	private static final long serialVersionUID = 644473128186417688L;
	private String categoryName;
	private List<PgMentorResponse> mentors;
	private List<PgReviewer> reviewers;

	public PgIdeaCategoryRequest() {
		super();
	}

	public PgIdeaCategoryRequest(String categoryName) {
		super();
		this.categoryName = categoryName;
	}
}
