/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaCategoryResponse extends ResponseModel {

	private static final long serialVersionUID = 644473128186417688L;
	private String categoryId;
	private String categoryName;
	private List<PgMentorResponse> mentors;
	private List<PgReviewer> reviewers;
	private String createdBy;
	private Date createdDate;

	public PgIdeaCategoryResponse() {
		super();
	}

	public PgIdeaCategoryResponse(String categoryId, String categoryName) {
		super();
		this.categoryId = categoryId;
		this.categoryName = categoryName;
	}
}
