/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.bean;

import javax.validation.constraints.NotBlank;

import com.altimetrik.playground.innovation.constants.TeamMemberRequestModeEnum;
import com.altimetrik.playground.innovation.constants.TeamMemberRequestStatusEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class PgIdeaTeamInviteRequest extends BaseRequestBean {

	private String id;
	@NotBlank
	private String role;
	private TeamMemberRequestModeEnum type;
	private TeamMemberRequestStatusEnum teamMemberRequestStatus;
	@NotBlank
	private String userId;

	public PgIdeaTeamInviteRequest() {
		super();
	}

}
